Sign inGet started

Workspaces

GET
/organizations/{organizationId}/workspaces
List the workspaces for the organization.
查询参数
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
响应载荷
results
array of object
必填
List of results.
显示子属性
results.id
string
必填
Workspace ID.
results.organizationId
string
必填
ID of the organization this workspace is part of.
results.status
string
必填
Status of the workspace
Possible values: active, disabled, terminated, deleted
results.statusTransitions
array of object
显示子属性
results.statusTransitions.fromStatus
string
必填
Status of the workspace
Possible values: active, disabled, terminated, deleted
results.statusTransitions.toStatus
string
必填
Status of the workspace
Possible values: active, disabled, terminated, deleted
results.statusTransitions.reason
string
必填
Possible values: org-banned, user-initiated, payment-default, inactivity
results.statusTransitions.comment
string
results.statusTransitions.transitionedAt
string
必填
results.statusTransitions.transitionedBy
object
必填
显示子属性
results.statusTransitions.transitionedBy.id
string
必填
results.statusTransitions.transitionedBy.type
string
必填
Possible values: user, accesskey, contact
results.name
string
必填
The display name for the workspace
results.description
string
The description for the workspace
results.dataPolicy
object
必填
The data storage policy for a resource.
显示子属性
results.dataPolicy.group
string
必填
The name of the region group used for storage.
results.dataPolicy.regions
array of object
必填
显示子属性
results.dataPolicy.regions.region
string
必填
The name of the AWS region.
results.dataPolicy.regions.priority
integer
必填
The priority to give to this region when storing data.
results.dataPolicy.piiStrategy
string
必填
Possible values: default, strict
results.configuration
object
显示子属性
results.configuration.domain
string
Domain name.
results.createdAt
string
必填
When the workspace was created.
results.updatedAt
string
必填
When the workspace was last updated.
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
代码示例
curl -X GET 'https://api.bird.com/organizations/{organizationId}/workspaces' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/organizations/{organizationId}/workspaces
Create a workspace for the organization.
请求载荷
name
string
必填
The display name for the workspace
description
string
The description for the workspace
dataPolicy
object
必填
The data storage policy for a resource.
显示子参数
dataPolicy.group
string
必填
The name of the region group used for storage. Must be one of us-west-2, eu-west-1, or ap-south-1.
dataPolicy.regions
array of object
必填
显示子参数
dataPolicy.regions.region
string
必填
The name of the AWS region. Must be one of us-west-2, eu-west-1, or ap-south-1.
dataPolicy.regions.priority
integer
必填
The priority to give to this region when storing data.
configuration
object
显示子参数
configuration.domain
string
Domain name.
userUsername
string
The username of the user that is creating the workspace.
flavors
array of string
响应载荷
id
string
必填
Workspace ID.
organizationId
string
必填
ID of the organization this workspace is part of.
status
string
必填
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions
array of object
显示子属性
statusTransitions.fromStatus
string
必填
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.toStatus
string
必填
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.reason
string
必填
Possible values: org-banned, user-initiated, payment-default, inactivity
statusTransitions.comment
string
statusTransitions.transitionedAt
string
必填
statusTransitions.transitionedBy
object
必填
显示子属性
statusTransitions.transitionedBy.id
string
必填
statusTransitions.transitionedBy.type
string
必填
Possible values: user, accesskey, contact
name
string
必填
The display name for the workspace
description
string
The description for the workspace
dataPolicy
object
必填
The data storage policy for a resource.
显示子属性
dataPolicy.group
string
必填
The name of the region group used for storage.
dataPolicy.regions
array of object
必填
显示子属性
dataPolicy.regions.region
string
必填
The name of the AWS region.
dataPolicy.regions.priority
integer
必填
The priority to give to this region when storing data.
dataPolicy.piiStrategy
string
必填
Possible values: default, strict
configuration
object
显示子属性
configuration.domain
string
Domain name.
createdAt
string
必填
When the workspace was created.
updatedAt
string
必填
When the workspace was last updated.
代码示例
curl -X POST 'https://api.bird.com/organizations/{organizationId}/workspaces' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/organizations/{organizationId}/workspaces/{workspaceId}
Get the workspace instance.
响应载荷
id
string
必填
Workspace ID.
organizationId
string
必填
ID of the organization this workspace is part of.
status
string
必填
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions
array of object
显示子属性
statusTransitions.fromStatus
string
必填
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.toStatus
string
必填
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.reason
string
必填
Possible values: org-banned, user-initiated, payment-default, inactivity
statusTransitions.comment
string
statusTransitions.transitionedAt
string
必填
statusTransitions.transitionedBy
object
必填
显示子属性
statusTransitions.transitionedBy.id
string
必填
statusTransitions.transitionedBy.type
string
必填
Possible values: user, accesskey, contact
name
string
必填
The display name for the workspace
description
string
The description for the workspace
dataPolicy
object
必填
The data storage policy for a resource.
显示子属性
dataPolicy.group
string
必填
The name of the region group used for storage.
dataPolicy.regions
array of object
必填
显示子属性
dataPolicy.regions.region
string
必填
The name of the AWS region.
dataPolicy.regions.priority
integer
必填
The priority to give to this region when storing data.
dataPolicy.piiStrategy
string
必填
Possible values: default, strict
configuration
object
显示子属性
configuration.domain
string
Domain name.
createdAt
string
必填
When the workspace was created.
updatedAt
string
必填
When the workspace was last updated.
代码示例
curl -X GET 'https://api.bird.com/organizations/{organizationId}/workspaces/{workspaceId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/organizations/{organizationId}/workspaces/{workspaceId}
Delete a workspace from the organization.
代码示例
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/workspaces/{workspaceId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/organizations/{organizationId}/workspaces/{workspaceId}
Update a workspace's properties.
请求载荷
name
string
The display name for the workspace
description
string
The description for the workspace
响应载荷
id
string
必填
Workspace ID.
organizationId
string
必填
ID of the organization this workspace is part of.
status
string
必填
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions
array of object
显示子属性
statusTransitions.fromStatus
string
必填
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.toStatus
string
必填
Status of the workspace
Possible values: active, disabled, terminated, deleted
statusTransitions.reason
string
必填
Possible values: org-banned, user-initiated, payment-default, inactivity
statusTransitions.comment
string
statusTransitions.transitionedAt
string
必填
statusTransitions.transitionedBy
object
必填
显示子属性
statusTransitions.transitionedBy.id
string
必填
statusTransitions.transitionedBy.type
string
必填
Possible values: user, accesskey, contact
name
string
必填
The display name for the workspace
description
string
The description for the workspace
dataPolicy
object
必填
The data storage policy for a resource.
显示子属性
dataPolicy.group
string
必填
The name of the region group used for storage.
dataPolicy.regions
array of object
必填
显示子属性
dataPolicy.regions.region
string
必填
The name of the AWS region.
dataPolicy.regions.priority
integer
必填
The priority to give to this region when storing data.
dataPolicy.piiStrategy
string
必填
Possible values: default, strict
configuration
object
显示子属性
configuration.domain
string
Domain name.
createdAt
string
必填
When the workspace was created.
updatedAt
string
必填
When the workspace was last updated.
代码示例
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/workspaces/{workspaceId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'